//	Copyright:	 1995 by Apple Computer, Inc., All rights reserved.
//	Release Version:	$ 1.0d11 $

#ifndef WINDOIDDEF_H
#define WINDOIDDEF_H

// Uncomment the following three lines, and define them appropriately!!
// If your part can be a container for other parts, define FW_SUPPORTS_EMBEDDING
// to be 1.  Otherwise define it to be 0.
// If your part defines any ODExtensions, define FW_SUPPORTS_EXTENSIONS to be
// 1 to enable the extensions manager.  Otherwise, define it to be 0.
// If your part is scriptable, define FW_SUPPORTS_SCRIPTING to be 1. Otherwise,
// define it to be zero.  Note that if your part is scriptable is must support
// extensions, so FW_SUPPORTS_EXTENSIONS must be defined to be 1.

#define FW_SUPPORTS_EMBEDDING 0
#define FW_SUPPORTS_EXTENSIONS 0
#define FW_SUPPORTS_SCRIPTING 0

//===================================================
// Kind
#define kWindoidKind "+//ISO 9070/ANSI::113722::US::CI LABS::DevUniv:Kind:Windoid"

// Category
#define kWindoidCategory "DevUniv:Category:Windoid"

// Class ID
#define kWindoidEditor "DevUniv::Windoid"

// Editor User String
#define kWindoidEditorUserString "Windoid 1.0"

// Kind User String
#define kWindoidKindUserString "Windoid"

// Category User String
#define kWindoidCategoryUserString "None"

// Windoid OSType
#define kWindoidOSType 'DFMK'

#define kNMAPid						127
#define kKindCategoryMapId			kNMAPid+1
#define kEditorKindMapId			kNMAPid+2
#define kEditorUserStringMapId		kNMAPid+3
#define kKindUserStringMapId		kNMAPid+4
#define kCategoryUserStringMapId	kNMAPid+5
#define kOldMacOSTypeMapId			kNMAPid+6

//===================================================
#define kMainPresentation		"Apple:Presentation:Main"
#define kPalettePresentation	"Apple:Presentation:Palette"

//===================================================
// Menus
#define kWindoidMenu 5

#define kWindoidStringsResID 			1000
	#define kPaletteMenuString 			1
		#define kHidePaletteItemStr		2
		#define kShowPaletteItemStr		3

#define kAboutBoxStringsResID 		1001
	#define kAboutMenuString 		1
	#define kWindoidPartString 		2
	#define kCreditString 			3

// About box Alert ID
#define kWindoidAboutBoxID  5000

// PICT ID
#define kODFpictResID  		2000

// Icon ID
#define kPartIconID		129		// [HLX] new

//===================================================
#endif

